Package ghidra.trace.model.context

# Interface TraceRegisterContextOperations

All Known Subinterfaces:
  `TraceRegisterContextManager`, `TraceRegisterContextSpace`

All Known Implementing Classes:
  `DBTraceRegisterContextManager`, `DBTraceRegisterContextSpace`

public interface TraceRegisterContextOperations

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear(Lifespan span, AddressRange range)`
  `RegisterValue`
  `getDefaultValue(Language language, Register register, Address address)`
  Get the language-defined default value of the register
  `Map.Entry<TraceAddressSnapRange,RegisterValue>`
  `getEntry(Language language, Register register, long snap, Address address)`
  `AddressSetView`
  `getRegisterValueAddressRanges(Language language, Register register, long snap)`
  `AddressSetView`
  `getRegisterValueAddressRanges(Language language, Register register, long snap, AddressRange within)`
  `RegisterValue`
  `getValue(Language language, Register register, long snap, Address address)`
  `RegisterValue`
  `getValueWithDefault(TracePlatform platform, Register register, long snap, Address address)`
  `boolean`
  `hasRegisterValue(Language language, Register register, long snap)`
  `boolean`
  `hasRegisterValueInAddressRange(Language language, Register register, long snap, AddressRange within)`
  `void`
  `removeValue(Language language, Register register, Lifespan span, AddressRange range)`
  `void`
  `setValue(Language language, RegisterValue value, Lifespan lifespan, AddressRange range)`

- ## Method Details

  - ### getDefaultValue

    RegisterValue getDefaultValue(Language language, Register register, Address address)
    Get the language-defined default value of the register
    Parameters:
      `language` - the language
      `register` - a register in the language
      `address` - the address from which to read the context
    Returns:
      the default value, or `null` if no default is defined for the parameters

  - ### setValue

    void setValue(Language language, RegisterValue value, Lifespan lifespan, AddressRange range)

  - ### removeValue

    void removeValue(Language language, Register register, Lifespan span, AddressRange range)

  - ### getValue

    RegisterValue getValue(Language language, Register register, long snap, Address address)

  - ### getEntry

    Map.Entry<TraceAddressSnapRange,RegisterValue> getEntry(Language language, Register register, long snap, Address address)

  - ### getValueWithDefault

    RegisterValue getValueWithDefault(TracePlatform platform, Register register, long snap, Address address)

  - ### getRegisterValueAddressRanges

    AddressSetView getRegisterValueAddressRanges(Language language, Register register, long snap, AddressRange within)

  - ### getRegisterValueAddressRanges

    AddressSetView getRegisterValueAddressRanges(Language language, Register register, long snap)

  - ### hasRegisterValueInAddressRange

    boolean hasRegisterValueInAddressRange(Language language, Register register, long snap, AddressRange within)

  - ### hasRegisterValue

    boolean hasRegisterValue(Language language, Register register, long snap)

  - ### clear

    void clear(Lifespan span, AddressRange range)